IOSS 2.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Json::FastWriter Class Reference

Outputs a Value in JSON format without formatting (not human friendly). More...

`#include <json.h>`

## Public Member Functions
| FastWriter ()
virtual | ~FastWriter ()
void | enableYAMLCompatibility ()
void | dropNullPlaceholders ()
| Drop the "null" string from the writer's output for nullValues. Strictly speaking, this is not valid JSON. But when the output is being fed to a browser's Javascript, it makes for smaller output and the browser can handle the output just fine. More...
void | omitEndingLineFeed ()
virtual std::string | write (const Value &root)
Public Member Functions inherited from Json::Writer
virtual | ~Writer ()

## Private Member Functions
void | writeValue (const Value &value)

## Private Attributes
std::string | document_
bool | yamlCompatiblityEnabled_
bool | dropNullPlaceholders_
bool | omitEndingLineFeed_

## Detailed Description

Outputs a Value in JSON format without formatting (not human friendly).

The JSON document is written in a single line. It is not intended for 'human' consumption, but may be useful to support feature such as RPC where bandwidth is limited.

See also
  Reader, Value

Deprecated:
  Use StreamWriterBuilder.

## Constructor & Destructor Documentation

## ◆ FastWriter()

Json::FastWriter::FastWriter | ( |  | ) |

## ◆ ~FastWriter()

virtual Json::FastWriter::~FastWriter | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ dropNullPlaceholders()

void Json::FastWriter::dropNullPlaceholders | ( |  | ) |

Drop the "null" string from the writer's output for nullValues. Strictly speaking, this is not valid JSON. But when the output is being fed to a browser's Javascript, it makes for smaller output and the browser can handle the output just fine.

## ◆ enableYAMLCompatibility()

void Json::FastWriter::enableYAMLCompatibility | ( |  | ) |

## ◆ omitEndingLineFeed()

void Json::FastWriter::omitEndingLineFeed | ( |  | ) |

## ◆ write()

virtual std::string Json::FastWriter::write | ( | const Value & | root | ) |
| virtual

Implements Json::Writer.

## ◆ writeValue()

void Json::FastWriter::writeValue | ( | const Value & | value | ) |
| private

## Member Data Documentation

## ◆ document_

std::string Json::FastWriter::document_
| private

## ◆ dropNullPlaceholders_

bool Json::FastWriter::dropNullPlaceholders_
| private

## ◆ omitEndingLineFeed_

bool Json::FastWriter::omitEndingLineFeed_
| private

## ◆ yamlCompatiblityEnabled_

bool Json::FastWriter::yamlCompatiblityEnabled_
| private

The documentation for this class was generated from the following file:

- src/visualization/ParaViewCatalystIossAdapter/parser/jsoncpp-master/dist/json/json.h